Show / Hide Table of Contents

# Class OpenIddictServerEvents.ValidateAuthorizationRequestContext

Represents an event called for each request to the authorization endpoint to determine if the request is valid and should continue to be processed.

##### Inheritance

System.Object
OpenIddictServerEvents.BaseContext
OpenIddictServerEvents.BaseRequestContext
OpenIddictServerEvents.BaseValidatingContext
OpenIddictServerEvents.ValidateAuthorizationRequestContext

##### Inherited Members

OpenIddictServerEvents.BaseValidatingContext.IsRejected
OpenIddictServerEvents.BaseValidatingContext.Error
OpenIddictServerEvents.BaseValidatingContext.ErrorDescription
OpenIddictServerEvents.BaseValidatingContext.ErrorUri
OpenIddictServerEvents.BaseValidatingContext.Reject(String, String, String)
OpenIddictServerEvents.BaseRequestContext.IsRequestHandled
OpenIddictServerEvents.BaseRequestContext.IsRequestSkipped
OpenIddictServerEvents.BaseRequestContext.HandleRequest()
OpenIddictServerEvents.BaseRequestContext.SkipRequest()
OpenIddictServerEvents.BaseContext.Transaction
OpenIddictServerEvents.BaseContext.Issuer
OpenIddictServerEvents.BaseContext.EndpointType
OpenIddictServerEvents.BaseContext.Logger
OpenIddictServerEvents.BaseContext.Options
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Server

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class ValidateAuthorizationRequestContext : OpenIddictServerEvents.BaseValidatingContext

### Constructors

#### ValidateAuthorizationRequestContext(OpenIddictServerTransaction)

Creates a new instance of the OpenIddictServerEvents.ValidateAuthorizationRequestContext class.

##### Declaration

    public ValidateAuthorizationRequestContext(OpenIddictServerTransaction transaction)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictServerTransaction | transaction |

### Properties

#### ClientId

Gets the client_id specified by the client application.

##### Declaration

    public string ClientId { get; }

##### Property Value

Type | Description
--- | ---
System.String |

#### RedirectUri

Gets the redirect_uri specified by the client application. If it's not provided by the client, it must be set by the user code by calling SetRedirectUri(String).

##### Declaration

    public string RedirectUri { get; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Request

Gets or sets the request.

##### Declaration

    public OpenIddictRequest Request { get; set; }

##### Property Value

Type | Description
--- | ---
OpenIddictRequest |

### Methods

#### SetRedirectUri(String)

Populates the RedirectUri property with the specified redirect_uri.

##### Declaration

    public void SetRedirectUri(string address)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | address | The redirect_uri to use when redirecting the user agent.